統合チュートリアル
Replicate 公式形式での呼び出し
| 必要なモデルがある場合はカスタマーサービスにご連絡ください
公式の https://api.replicate.com を /replicate に置き換え 入力、出力、リクエスト方法は公式と同じ
接続手順
- タスクの作成 タスクを送信し、タスクIDを取得
- タスクの進捗取得 タスクIDでタスクの進捗を確認し、結果を取得
注意:返されるリソースリンクは1時間のみ有効です
レスポンスボディの主要フィールド説明
フィールド 型 説明 input object 入力 output string または []string 出力URL status string ステータス:starting、processing、succeeded、failed
- タスク生成 - パス方式 black-forest-labs/flux-schnell を例に
curl --request POST \
--url {{BASE_URL}}/replicate/v1/models/black-forest-labs/flux-schnell/predictions \
--header 'Authorization: Bearer hk-you-key' \
--header 'Content-Type: application/json' \
--data '{
"input": {
"prompt": "Japanese cartoon anime style, (1 person) (Gender: Male, Age: 30, Hair: Short black hair, Outfit: Dark blue hunting attire, includes a fitted jacket and trousers.) (A dimly lit room filled with tension, is questioning Female, 27 years old, long black hair, pink tulle dress., who stands nervously in her pink dress, the sound of rain pattering against the window.)",
"go_fast": true,
"megapixels": "1",
"num_outputs": 1,
"aspect_ratio": "1:1",
"output_format": "jpg",
"output_quality": 80,
"num_inference_steps": 4
}
}'レスポンスボディの id は次のタスククエリ用のIDです
{
"id": "qpt5jq1fssrmc0cmd5hvy31mdg",
"model": "black-forest-labs/flux-schnell",
"version": "dp-4d0bcc010b3049749a251855f12800be",
"input": {
"aspect_ratio": "1:1",
"go_fast": true,
"megapixels": "1",
"num_inference_steps": 4,
"num_outputs": 1,
"output_format": "jpg",
"output_quality": 80,
"prompt": "Japanese cartoon anime style, (1 person) (Gender: Male, Age: 30, Hair: Short black hair, Outfit: Dark blue hunting attire, includes a fitted jacket and trousers.) (A dimly lit room filled with tension, is questioning Female, 27 years old, long black hair, pink tulle dress., who stands nervously in her pink dress, the sound of rain pattering against the window.)"
},
"logs": "",
"output": null,
"data_removed": false,
"error": null,
"status": "starting",
"created_at": "2025-01-15T09:54:55.566Z",
"urls": {
"cancel": "https://api.replicate.com/v1/predictions/qpt5jq1fssrmc0cmd5hvy31mdg/cancel",
"get": "https://api.replicate.com/v1/predictions/qpt5jq1fssrmc0cmd5hvy31mdg",
"stream": "https://stream.replicate.com/v1/files/bcwr-gvuc2rokjozhlaxh6dcvk6tvhh2ymt4egnnpxvmtqql57angyfsq"
}
}- タスク生成 - バージョン方式 lucataco/flux-schnell-lora を例に 参考ドキュメント: https://replicate.com/lucataco/flux-schnell-lora?input=http 参考ドキュメントから、バージョンは 2a6b576af31790b470f0a8442e1e9791213fa13799cbb65a9fc1436e96389574
curl --request POST \
--url {{BASE_URL}}/replicate/v1/predictions \
--header 'Authorization: Bearer hk-you-key' \
--header 'Content-Type: application/json' \
--data '{
"version": "2a6b576af31790b470f0a8442e1e9791213fa13799cbb65a9fc1436e96389574",
"input": {
"prompt": "Japanese cartoon anime style, (1 person) (Gender: Male, Age: 30, Hair: Short black hair, Outfit: Dark blue hunting attire, includes a fitted jacket and trousers.) (A dimly lit room filled with tension, is questioning Female, 27 years old, long black hair, pink tulle dress., who stands nervously in her pink dress, the sound of rain pattering against the window.)",
"hf_lora": "alvdansen/frosting_lane_flux",
"lora_scale": 0.8,
"num_outputs": 1,
"aspect_ratio": "1:1",
"output_format": "webp",
"output_quality": 80,
"prompt_strength": 0.8,
"num_inference_steps": 4
}
}'レスポンス形式は上記と同じ タスクの取得 タスク作成で取得したタスクIDを使用 結果はキー フィールド output にあります 注意:返される結果とリンクファイルには有効期限があります GET /replicate/v1/predictions/
curl --request GET \
--url {{BASE_URL}}/replicate/v1/predictions/ctdwaehfz1rm80cmd5nsjd8114 \
--header 'Authorization: Bearer hk-you-key' \
--header 'Content-Type: application/json'レスポンスボディ
json
{
"id": "ctdwaehfz1rm80cmd5nsjd8114",
"model": "black-forest-labs/flux-schnell",
"version": "dp-4d0bcc010b3049749a251855f12800be",
"input": {
"aspect_ratio": "1:1",
"go_fast": true,
"megapixels": "1",
"num_inference_steps": 4,
"num_outputs": 1,
"output_format": "jpg",
"output_quality": 80,
"prompt": "Japanese cartoon anime style, (1 person) (Gender: Male, Age: 30, Hair: Short black hair, Outfit: Dark blue hunting attire, includes a fitted jacket and trousers.) (A dimly lit room filled with tension, is questioning Female, 27 years old, long black hair, pink tulle dress., who stands nervously in her pink dress, the sound of rain pattering against the window.)"
},
"logs": "Using seed: 62182\nrunning quantized prediction\nUsing seed: 62182\n 0%| | 0/4 [00:00<?, ?it/s]\n 75%|███████▌ | 3/4 [00:00<00:00, 15.38it/s]\n100%|██████████| 4/4 [00:00<00:00, 13.43it/s]\nTotal safe images: 1 out of 1\n",
"output": [
"https://replicate.delivery/xezq/RoEhEdyl8PoIGFFPg46TU4Svj24i1NDVYmzehJfqLuX9nTFUA/out-0.jpg"
],
"data_removed": false,
"error": null,
"status": "succeeded",
"created_at": "2025-01-15T10:03:39.896Z",
"started_at": "2025-01-15T10:03:40.584470194Z",
"completed_at": "2025-01-15T10:03:41.142386377Z",
"urls": {
"cancel": "https://api.replicate.com/v1/predictions/ctdwaehfz1rm80cmd5nsjd8114/cancel",
"get": "https://api.replicate.com/v1/predictions/ctdwaehfz1rm80cmd5nsjd8114",
"stream": "https://stream.replicate.com/v1/files/bcwr-q57vie7wuzg3wxv2hvpajgmzqzmxe67kqddednevutmrpdcft6xq"
},
"metrics": {
"image_count": 1,
"predict_time": 0.557916184
}
}